--- title: "VoiceBot Entity" slug: "server-api-bot-voicebot-entity" updated: 2022-07-12T03:09:00Z published: 2022-07-12T03:09:00Z canonical: "developer.comm100.com/server-api-bot-voicebot-entity" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # VoiceBot Entity ## Voicebot Entity - `Voicebot Entities` - Voicebot Entities Manage - `GET voicebot/voicebotEntities/{id}` - [Get a single Voicebot Entity](/docs/server-api-bot-voicebot-entity#get-a-single-voicebot-entity) - `GET voicebot/voicebots/{id}/voicebotEntities` - [Get the list of Voicebot Entities](/docs/server-api-bot-voicebot-entity#get-the-list-of-voicebot-entities) - `POST voicebot/voicebotEntities` - [Create a new Voicebot Entity](/docs/server-api-bot-voicebot-entity#create-a-new-voicebot-entity) - `PUT voicebot/voicebotEntities/{id}` - [Update the Voicebot Entity](/docs/server-api-bot-voicebot-entity#update-the-voicebot-entity) - `DELETE voicebot/voicebotEntities/{id}` - [Remove the Voicebot Entity](/docs/server-api-bot-voicebot-entity#remove-the-voicebot-entity) - `Voicebot Entity Keywords` - Voicebot Entity Keywords Manage - `GET voicebot/voicebotEntityKeywords` - [Get the list of Voicebot Entity Keywords](/docs/server-api-bot-voicebot-entity#get-the-list-of-voicebot-entity-keywords) - `GET voicebot/voicebotEntityKeywords/{id}` - [Get a single Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#get-a-single-voicebot-entity-keyword) - `POST voicebot/voicebotEntityKeywords` - [Create a new Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#create-a-new-voicebot-entity-keyword) - `PUT voicebot/voicebotEntityKeywords/{id}` - [Update the Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#update-the-voicebot-entity-keyword) - `DELETE voicebot/voicebotEntityKeywords/{id}` - [Remove the Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#remove-the-voicebot-entity-keyword) ### Voicebot Entity JSON Format Voicebot Entity is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot entity. | | `voicebotId` | guid | Id of the voicebot. | | `name` | string | Name of the voicebot entity. | | `voicebotEntityKeywords` | [voicebotEntityKeywords[]](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) | Reference to Voicebot Entity Keyword. | ### Get a single Voicebot Entity `GET voicebot/voicebotEntities/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is `voicebotEntityKeyword`. | - #### Response: [Voicebot Entity](/docs/server-api-bot-voicebot-entity#voicebot-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntities/a1e714d7-4507-4879-b9d7-b5efb1643a49 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } ``` ### Get the list of Voicebot Entities `GET voicebot/voicebots/{id}/voicebotEntities` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed value is "voicebotEntityKeyword". | - #### Response: An array of [Voicebot Entity](/docs/server-api-bot-voicebot-entity#voicebot-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebots/a1e714d7-4507-4879-b9d7-b5efb1643a49/voicebotEntities \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } ] ``` ### Create a new Voicebot Entity `POST voicebot/voicebotEntities` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `name` | string | body | yes | Name of the voicebot entity. | | `voicebotEntityKeywords` | [voicebotEntityKeywords[]](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) | body | no | Reference to Voicebot Entity Keyword. | - #### Response: [Voicebot Entity](/docs/server-api-bot-voicebot-entity#voicebot-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntities \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotId":"","name":"","voicebotEntityKeywords":[{"keyword":"","synonyms":[""]}]}' ``` Response: HTTP/1.1 201 Created ``` { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } ``` ### Update the Voicebot Entity `PUT voicebot/voicebotEntities/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `voicebotId` | guid | body | yes | Id of the voicebot. | | `name` | string | body | yes | Name of the voicebot entity. | | `voicebotEntityKeywords` | [voicebotEntityKeywords[]](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) | body | no | Reference to Voicebot Entity Keyword. | - #### Response: [Voicebot Entity](/docs/server-api-bot-voicebot-entity#voicebot-entity-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntities/a1e714d7-4507-4879-b9d7-b5efb1643a49 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"voicebotId":"","name":"","voicebotEntityKeywords":[{"keyword":"","synonyms":[""]}]}' ``` Response: HTTP/1.1 200 OK ``` { "id": "a1e714d7-4507-4879-b9d7-b5efb1643a49", "voicebotId": "", "name": "", "voicebotEntityKeywords": [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] } ``` ### Remove the Voicebot Entity `DELETE voicebot/voicebotEntities/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntities/a1e714d7-4507-4879-b9d7-b5efb1643a49 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content ### Voicebot Entity Keyword JSON Format Voicebot Entity Keyword is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the voicebot entity keyword. | | `keyword` | string | Keyword. | | `synonyms` | string [] | Id of the voicebot entity. | | `entityId` | guid | Id of the voicebot entity keyword. | ### Get the list of Voicebot Entity Keywords `GET voicebot/voicebotEntityKeywords` - #### Parameters: No Parameters - #### Response: An array of [Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntityKeywords \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ] ``` ### Get a single Voicebot Entity Keyword `GET voicebot/voicebotEntityKeywords/{id}` - #### Parameters: No Parameters - #### Response: [Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntityKeywords/eefe4538-bec3-47ef-89ea-879b59a16941 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ``` ### Create a new Voicebot Entity Keyword `POST voicebot/voicebotEntityKeywords` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `keyword` | string | body | yes | Keyword. | | `synonyms` | string [] | body | no | Id of the voicebot entity. | | `entityId` | guid | body | yes | Id of the voicebot entity keyword. | - #### Response: [Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntityKeywords \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"keyword":"","synonyms":[""],"entityId":""}' ``` Response: HTTP/1.1 201 Created ``` { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ``` ### Update the Voicebot Entity Keyword `PUT voicebot/voicebotEntityKeywords/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `keyword` | string | body | yes | Keyword. | | `synonyms` | string [] | body | no | Id of the voicebot entity. | | `entityId` | guid | body | yes | Id of the voicebot entity keyword. | - #### Response: [Voicebot Entity Keyword](/docs/server-api-bot-voicebot-entity#voicebot-entity-keyword-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntityKeywords/eefe4538-bec3-47ef-89ea-879b59a16941 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"keyword":"","synonyms":[""],"entityId":""}' ``` Response: HTTP/1.1 200 OK ``` { "id": "eefe4538-bec3-47ef-89ea-879b59a16941", "keyword": "", "synonyms": [ "" ], "entityId": "" } ``` ### Remove the Voicebot Entity Keyword `DELETE voicebot/voicebotEntityKeywords/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/voicebot/voicebotEntityKeywords/eefe4538-bec3-47ef-89ea-879b59a16941 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content © 2021 | [Comm100](https://www.comm100.com)